<?php
/*
# ------------------------------------------------------------------------
# @copyright   Copyright (C) 2014. All rights reserved.
# @license     GNU General Public License version 2 or later
# Author:      Glenn Arkell
# Websites:    https://www.glennarkell.com.au
# ------------------------------------------------------------------------
*/
// no direct access
defined('_JEXEC') or die;

JHtml::_('bootstrap.framework');
JHtml::_('bootstrap.modal');

$moduleclass_sfx	= $params->get('moduleclass_sfx', '');
$show_navigation	= $params->get('show_navigation', '0');
$cycle_time	= $params->get('cycle_time', '5000');
$set_captioncolour	= $params->get('set_captioncolour', '0');
$caption_bg	= $params->get('caption_bg', 'rgba(0, 0, 0, 0.75)');
$caption_txt	= $params->get('caption_txt');
$use_category_folder = $params->get('use_category_folder',0); // 0 = category, 1 = folder
$default_fold = $params->get('default_fold', 'images');
$default_cat = $params->get('default_cat','uncategorised');
$setWidth100 = $params->get('set_width100',0) ? ' style="width:100%;"' : '';
$use_caption = $params->get('use_caption', 0);
$disable_mootools = $params->get('disable_mootools', 0);
$websitelink = $params->get('use_websitelink', 0);
$show_indicators = $params->get('show_indicators', 0);
$showasthumb = $params->get('showasthumb', 0);
$modalfull = $params->get('modalfull', 0);
$modalwidth = $params->get('modalwidth', 700);
$modalheight = $params->get('modalheight', 500);
$maxheight = $params->get('maxheight', 0);
$ht = $params->get('header_tag');
$slide_fade = $params->get('slide_fade', 0);


$resultString = '';
$carouselindic = '';
$carouselitems = '';
$counter = 0;
$class = 'active';
$websitelinkurl = null;

if ($maxheight) {
	$setmaxheight = ' style="max-height:'.$maxheight.'px;"';
} else {
	$setmaxheight = '';
}

if ($modalfull) {
	//$setWidth100 = ' style="width:120px; margin: 0 auto;"';
}

if ($showasthumb) {
	JHtml::_('behavior.modal');
	$show_navigation = 0;
}
?>
<?php if ($slide_fade) : ?>
    <style> 
		.carousel .item {
		    -webkit-transition: opacity 3s; 
		    -moz-transition: opacity 3s; 
		    -ms-transition: opacity 3s; 
		    -o-transition: opacity 3s;
		    transition: opacity 3s;
		}
		.carousel .active.left {
		    left:0;opacity:0;z-index:2;
		}
		.carousel .next {
		    left:0;opacity:1;z-index:1;
		}
    </style>
<?php endif ; ?>
<?php if ($set_captioncolour) : ?>
    <style>
        .carousel-caption {
            background: none repeat scroll 0 0 <?php echo $caption_bg; ?>;
            color: <?php echo $caption_txt; ?>;
        }
    </style>
<?php endif ; ?>
<?php if (!$show_indicators) : ?>
    <style>
        .carousel-indicators {
            display: none;
        }
    </style>
<?php endif ; ?>

<script>
    jQuery(function ($) {
        $('#myCarousel<?php echo $module->id; ?>').carousel({
            interval: <?php echo $cycle_time; ?>,
            wrap: true
        })
    })
    <?php if ($disable_mootools) : ?>
        // Disable Mootools slide function
        window.addEvent('domready', function(){
            if (typeof MooTools != 'undefined' ) {
                Element.implement({
                    slide: function(how, mode){
                        return this;
                    }
                });
            }
        });
    <?php endif; ?>
</script>

<div class="mod_glennslideshow<?php echo $moduleclass_sfx; ?>" >
    <div id="myCarousel<?php echo $module->id; ?>" class="carousel slide" data-ride="carousel">

        <ol class="carousel-indicators">
            <?php if (is_array($articleItems) || is_object($articleItems)) : ?>
				<?php foreach ($articleItems as $article) : ?>
	                <li class="<?php echo $class; ?>" data-target="#myCarousel<?php echo $module->id; ?>" data-slide-to="<?php echo $counter; ?>"></li>
	                <?php $counter++; $class = ''; ?>
	            <?php endforeach; ?>
            <?php endif; ?>
        </ol>

        <?php $counter = 0; $class = 'active'; ?>

        <div class="carousel-inner">
            <?php if (is_array($articleItems) || is_object($articleItems)) : ?>
	            <?php foreach ($articleItems as $article) : ?>
	                <?php
	                    if ($use_category_folder == 0) {
	                        $imagesInfo = json_decode($article->images);
	            		    $fullImage = $imagesInfo->{'image_fulltext'};
	                        $urlInfo = json_decode($article->urls);
	            		    $websitelinkurl = $urlInfo->{'urla'};
	            		    $websitelinkurl = str_replace('http://','',$websitelinkurl);
	                    } else {
	                        $fullImage = $article->images;
	                        //unset($websitelinkurl);
	                    }
	                ?>
	                    <div class="item <?php echo $class; ?>">
	                        <?php if ($websitelink) : ?>
	                        	<?php if ($modalfull) : ?>
		                            <?php 
										$mparams = array(); 
										$mparams['width'] = $modalwidth;
										$mparams['height'] = $modalheight;
										$body = '<div><img src="'.$fullImage.'" /></div>';
									?>
									<a class="modal" href="#myModalView" data-toggle="modal">
		                            <?php echo JHTML::_('bootstrap.renderModal', 'myModalView', $mparams, $body); ?>
		                        <?php else : ?>
		                        	<?php if (isset($websitelinkurl)) : ?>
			                            <a href="http://<?php echo $websitelinkurl; ?>" target="_blank" alt="<?php echo $article->title; ?>">
		                            <?php endif; ?>
		                        <?php endif; ?>
	                        <?php endif; ?>
	                        <img src="<?php echo $fullImage; ?>"<?php echo $setWidth100; ?><?php echo $setmaxheight; ?> title="<?php echo $article->title; ?>" alt="<?php echo $article->title; ?>" />
	                        <?php if ($use_caption) : ?>
	                            <div class="carousel-caption">
	                                <<?php echo $ht; ?> class="carousel-caption"><?php echo $article->title; ?></<?php echo $ht; ?>>
	                            </div>
	                        <?php endif; ?>
	                        <?php if ($websitelink && (isset($websitelinkurl) || $modalfull)) : ?>
	                            </a>
	                        <?php endif; ?>
	                    </div>
	    
	                <?php $counter++; $class = ''; ?>
	            <?php endforeach; ?>
            <?php endif; ?>
    
            <?php if ($show_navigation) : ?>
        		<!-- Carousel nav -->
        		<a class="left carousel-control" href="#myCarousel<?php echo $module->id; ?>" role="button" data-slide="prev">
        			<span class="glyphicon glyphicon-chevron-left"></span>
        		</a>
                <a class="right carousel-control" href="#myCarousel<?php echo $module->id; ?>" role="button" data-slide="next">
                    <span class="glyphicon glyphicon-chevron-right"></span>
        		</a>
            <?php endif ; ?>
    	</div>
	</div>
	<div style="clear:both;"></div>
</div>